September 8, 2005

FEMA Aid Site Blocks Access To Firefox, Macs, Linux Users

Users looking to file claims online for government help must be running Microsoft Internet Explorer 6.0 or later with JavaScript enabled. That blocks everyone running Linux, Apple Macintosh computers, and Windows users running alternate browsers such as Firefox or Opera.

Link: Information Week

Click Here!